Runs
Run result
Fetch an execution result before it expires.
GET
/
v1
/
executions
/
{executionId}
/
result
Run result
curl --request GET \
--url https://api.getmillwork.dev/v1/executions/{executionId}/result \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/executions/{executionId}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"execution_id": "<string>",
"final_text": "<string>",
"model_provenance": {
"deployment": {
"fallback_policy": "none",
"location": "<string>",
"model_deployment_id": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"route": "<string>"
},
"requested": {
"family": "<string>",
"model_key": "<string>",
"publisher_id": "<string>",
"release": "<string>",
"served_variant_id": "<string>",
"upstream_ref": "<string>"
},
"resolved": {
"attestation": "source_response",
"source_request_id": "<string>",
"upstream_ref": "<string>"
},
"schema_version": "model-attempt-provenance/v1",
"source": {
"access_lane": "byok",
"auth_scheme": "api_key",
"commercial_owner": "customer",
"connection_id": "<string>",
"source_id": "<string>",
"source_kind": "publisher_direct"
}
},
"retention_expires_at": "2023-11-07T05:31:56Z",
"slice_id": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Organization API key for application requests.
Path Parameters
⌘I
Run result
curl --request GET \
--url https://api.getmillwork.dev/v1/executions/{executionId}/result \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/executions/{executionId}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"execution_id": "<string>",
"final_text": "<string>",
"model_provenance": {
"deployment": {
"fallback_policy": "none",
"location": "<string>",
"model_deployment_id": "<string>",
"pricing_basis": "source_reported",
"protocol_profile": "openai_responses",
"route": "<string>"
},
"requested": {
"family": "<string>",
"model_key": "<string>",
"publisher_id": "<string>",
"release": "<string>",
"served_variant_id": "<string>",
"upstream_ref": "<string>"
},
"resolved": {
"attestation": "source_response",
"source_request_id": "<string>",
"upstream_ref": "<string>"
},
"schema_version": "model-attempt-provenance/v1",
"source": {
"access_lane": "byok",
"auth_scheme": "api_key",
"commercial_owner": "customer",
"connection_id": "<string>",
"source_id": "<string>",
"source_kind": "publisher_direct"
}
},
"retention_expires_at": "2023-11-07T05:31:56Z",
"slice_id": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"retry_after_s": 123
}